<?php

use App\Http\Controllers\DataController;
use App\Http\Controllers\GareController;
use App\Http\Controllers\LierchauffeurController;
use App\Http\Controllers\LigneController;
use App\Http\Controllers\PersonneController;
use App\Http\Controllers\ProprietaireController;
use App\Http\Controllers\RecherchechauffeurController;
use App\Http\Controllers\RecherchegareController;
use App\Http\Controllers\RecherchetransporteurController;
use App\Http\Controllers\RecherchevehiculeController;
use App\Http\Controllers\VehiculeController;
use App\Models\Vehicule;
use Illuminate\Support\Facades\Route;


Route::get('/', function () {
    return view('index');
})->name('home');

Route::resource('data', DataController::class);
Route::resource('vehicule', VehiculeController::class);
Route::resource('personne', PersonneController::class);
Route::resource('ligne', LigneController::class);
Route::resource('gare', GareController::class);
Route::resource('proprietaire', ProprietaireController::class);
Route::resource('lierchauffeur', LierchauffeurController::class);

Route::resource('recherchechauffeur', RecherchechauffeurController::class);
Route::resource('recherchevehicule', RecherchevehiculeController::class);
Route::resource('recherchegare', RecherchegareController::class);
Route::resource('recherchetransporteur', RecherchetransporteurController::class);






